//  Copyright (c) 2005-2009 Hartmut Kaiser
// 
//  Distributed under the Boost Software License, Version 1.0. (See accompanying 
//  file LICENSE_1_0.txt or copy at http://www.boost.org/LICENSE_1_0.txt)

#if !defined(SAGA_C_ENGINE_ERROR_NOV_01_2007_1209AM)
#define SAGA_C_ENGINE_ERROR_NOV_01_2007_1209AM

#if defined(__cplusplus)
extern "C" {
#endif

///////////////////////////////////////////////////////////////////////////////
enum saga_error_code 
{
    saga_success               = 0,
    saga_not_implemented       = 1,
    saga_incorrect_url         = 2,
    saga_bad_parameter         = 3,
    saga_already_exists        = 4,
    saga_does_not_exist        = 5,
    saga_incorrect_state       = 6,
    saga_permission_denied     = 7,
    saga_authorization_failed  = 8,
    saga_authentication_failed = 9,
    saga_timeout               = 10,
    saga_no_success            = 11,

    // these are not in the SAGA spec!
    // FIXME: then they should not be in the API
    saga_no_adaptor            = 12,
    saga_no_adaptor_info       = 13,
    saga_unexpected            = 14,
};

typedef enum saga_error_code saga_error;

#if defined(__cplusplus)
}
#endif

#endif

