//  Copyright (c) 2005-2009 Hartmut Kaiser
// 
//  Distributed under the Boost Software License, Version 1.0. (See accompanying 
//  file LICENSE_1_0.txt or copy at http://www.boost.org/LICENSE_1_0.txt)

#if !defined(SAGA_C_ENGINE_SESSION_NOV_01_2007_0941AM)
#define SAGA_C_ENGINE_SESSION_NOV_01_2007_0941AM

#include <saga_c_version.h>
#include <saga_c_fwd.h>
#include <saga_c_export_declarations.h>
#include <saga_c_error.h>

#if defined(__cplusplus)
extern "C" {
#endif

///////////////////////////////////////////////////////////////////////////////
SAGA_C_ENGINE_EXPORT saga_session saga_session_create(void);
SAGA_C_ENGINE_EXPORT saga_session saga_session_create_object(saga_object);
SAGA_C_ENGINE_EXPORT void saga_session_delete(saga_session*);

SAGA_C_ENGINE_EXPORT saga_error 
    saga_session_add_context(saga_session, saga_context);
SAGA_C_ENGINE_EXPORT saga_error 
    saga_session_remove_context(saga_session, saga_context);
SAGA_C_ENGINE_EXPORT saga_context_list 
    saga_session_list_contexts(saga_session);

#if defined(__cplusplus)
}
#endif

#endif

