//  Copyright (c) 2005-2009 Hartmut Kaiser
// 
//  Distributed under the Boost Software License, Version 1.0. (See accompanying 
//  file LICENSE_1_0.txt or copy at http://www.boost.org/LICENSE_1_0.txt)

#if !defined(SAGA_C_ENGINE_VERSION_NOV_01_2007_0943AM)
#define SAGA_C_ENGINE_VERSION_NOV_01_2007_0943AM

#include <saga_c_export_declarations.h>

///////////////////////////////////////////////////////////////////////////////
//  The version of the SAGA engine C language bindings 
//
//  SAGA_C_ENGINE_VERSION_FULL & 0x0000FF is the sub-minor version
//  SAGA_C_ENGINE_VERSION_FULL & 0x00FF00 is the minor version
//  SAGA_C_ENGINE_VERSION_FULL & 0xFF0000 is the major version
//
#define SAGA_C_ENGINE_VERSION_FULL         0x000100

#define SAGA_C_ENGINE_VERSION_MAJOR        0
#define SAGA_C_ENGINE_VERSION_MINOR        1
#define SAGA_C_ENGINE_VERSION_SUBMINOR     0

#define SAGA_C_ENGINE_VERSION_DATE         071101

#define SAGA_C_ENGINE_VERSION_SUBMINORMASK 0xFF

///////////////////////////////////////////////////////////////////////////////
//
//  SAGA_VERSION_ISCOMPATIBLE(), SAGA_VERSION_ISCOMPATIBLE_EX()
// 
//  The SAGA_VERSION_ISCOMPATIBLE macros test, if the version of the loaded
//  SAGA engine is compatible with the version the calling application was 
//  compiled against.
//
#define SAGA_C_ENGINE_VERSION_ISCOMPATIBLE_EX(version)                        \
    (((version) & ~SAGA_C_ENGINE_VERSION_SUBMINORMASK) >=                     \
       (SAGA_C_ENGINE_VERSION_FULL & ~SAGA_C_ENGINE_VERSION_SUBMINORMASK))    \
  /**/
  
#define SAGA_C_ENGINE_VERSION_ISCOMPATIBLE()                                  \
    SAGA_C_ENGINE_VERSION_ISCOMPATIBLE_EX(saga_get_c_engine_version())        \
  /**/

///////////////////////////////////////////////////////////////////////////////
#if defined(__cplusplus)
extern "C" {
#endif

/*! \brief Brief %description starts here     
 *
 *   Detailed %description starts here.
 */
SAGA_C_ENGINE_EXPORT unsigned long saga_get_c_engine_version(void);

/*! \brief Brief %description starts here     
 *
 *   Detailed %description starts here.
 */
SAGA_C_ENGINE_EXPORT unsigned long saga_get_saga_version(void);
  
///////////////////////////////////////////////////////////////////////////////
#if defined(__cplusplus)
}
#endif

#endif 

