/* saga/saga-config.hpp.  Generated from saga-config.hpp.in by configure.  */
//  Copyright (c) 2005-2007 Andre Merzky (andre@merzky.net)
// 
//  Distributed under the Boost Software License, Version 1.0. (See accompanying 
//  file LICENSE_1_0.txt or copy at http://www.boost.org/LICENSE_1_0.txt)
//
// NOTE that this header contains only _global_ defines for
// SAGA.  Local defines (e.g. for a specific adaptor, or
// a specific compiler) should still be set via the Makefiles.

#ifndef SAGA_CONFIG_HPP
#define SAGA_CONFIG_HPP

// we want to get included from saga-defs, to get the system defs consistent
#ifndef SAGA_DEFS_HPP
# error "include saga-defs.hpp instead of saga-config.hpp"
#endif

// flag that this build is configure based
#define SAGA_HAVE_CONFIG 1


// version defines
#define SAGA_VERSION "1.3"
#define SAGA_VERSION_FULL 0x010300

#define SAGA_VERSION_MAJOR 1
#define SAGA_VERSION_MINOR 3
#define SAGA_VERSION_SUBMINOR 0

#define SAGA_VERSION_DATE 20100129

// define the platform we are running on.  Only one of the defs below will be
// defined.  Note that SAGA_WINDOWS is defined in saga-defs.hpp
#define SAGA_OSTYPE SAGA_LINUX
/* #undef SAGA_APPLE */
#define SAGA_LINUX 1

// can gcc understand visibility directives?
#define SAGA_GCC_HAVE_VISIBILITY 1

// sometime we need to know where we got installed to (see
// below)
#define SAGA_PREFIX "/usr"

// define what packages are enabled
#define SAGA_HAVE_PACKAGE_JOB 1
#define SAGA_HAVE_PACKAGE_FILE 1
#define SAGA_HAVE_PACKAGE_REPLICA 1
#define SAGA_HAVE_PACKAGE_NAMESPACE 1
#define SAGA_HAVE_PACKAGE_RPC 1
#define SAGA_HAVE_PACKAGE_STREAM 1
/* #undef SAGA_HAVE_PACKAGE_SD */
#define SAGA_HAVE_PACKAGE_ADVERT 1
/* #undef SAGA_HAVE_PACKAGE_CPR */
/* #undef SAGA_HAVE_PACKAGE_MESSAGE_BUS */

// we need to figure out if ssize_t and off_t are the same
// - otherwise we get a duplicated explicit template
// instantiation for task.get_result in the file package.  
/* #undef SAGA_TYPE_LONG_IS_INT */

/* #undef SAGA_TYPE_LONGLONG_IS_INT */
/* #undef SAGA_TYPE_LONGLONG_IS_LONG */

/* #undef SAGA_TYPE_SIZE_IS_INT */
/* #undef SAGA_TYPE_SIZE_IS_LONG */
/* #undef SAGA_TYPE_SIZE_IS_LONGLONG */

#define SAGA_TYPE_SSIZE_IS_INT 1
/* #undef SAGA_TYPE_SSIZE_IS_LONG */
/* #undef SAGA_TYPE_SSIZE_IS_LONGLONG */
/* #undef SAGA_TYPE_SSIZE_IS_SIZE */

/* #undef SAGA_TYPE_OFF_IS_INT */
#define SAGA_TYPE_OFF_IS_LONG 1
/* #undef SAGA_TYPE_OFF_IS_LONGLONG */
/* #undef SAGA_TYPE_OFF_IS_SIZE */
/* #undef SAGA_TYPE_OFF_IS_SSIZE */

// we need the following define for dynamic loading in boost
#define SAGA_BOOST_DYNA_LOAD 1

// also, we are not dealing with wide character (which avoids
// a lot of trouble with some compilers like icc)
#ifndef  BOOST_NO_CWCHAR 
# define BOOST_NO_CWCHAR 1
#endif

// ths define should not hurt any boost version
#ifndef  BOOST_SPIRIT_USE_OLD_NAMESPACE
# define BOOST_SPIRIT_USE_OLD_NAMESPACE 1
#endif

// do we have libreadline?
#define SAGA_HAVE_READLINE 1
#define SAGA_HAVE_HISTORY_LIST 1

// do we build debug version?
#define SAGA_HAVE_DEBUG yes

// do we build lite version?
#define SAGA_HAVE_LITE yes

#endif // SAGA_CONFIG_HPP

