//  Copyright (c) 2005-2009 Hartmut Kaiser
// 
//  Distributed under the Boost Software License, Version 1.0. (See accompanying 
//  file LICENSE_1_0.txt or copy at http://www.boost.org/LICENSE_1_0.txt)

#ifndef SAGA_SAGA_PATH_LEAF_HPP
#define SAGA_SAGA_PATH_LEAF_HPP

#include <string>
#include <boost/version.hpp>
#include <boost/filesystem/path.hpp>

namespace saga { namespace detail
{
    // FIXME: shouldn't that be moved into the adaptor namespace?  I don't think
    // that it is of any use to applications (unless we want to get into the
    // business of improving the boost API that is) -- A
    ///////////////////////////////////////////////////////////////////////////
    inline SAGA_EXPORT std::string leaf(boost::filesystem::path const& p)
    {
#if BOOST_VERSION >= 103600
        return p.empty() ? std::string() : *--p.end();
#else
        return p.leaf();
#endif
    }

}}

#endif

