/*
 * Copyright (c) 2008 Vrije Universiteit.
 * All rights reserved.
 * 
 * This file is part of XOSAGA. XOSAGA is part of XtreemOS, a Linux-based
 * Grid Operating System, see <http://www.xtreemos.eu> for more details.
 * The XtreemOS project has been developed with the financial support of
 * the European Commission's IST program under contract #FP6-033576.
 * 
 * Redistribution and use in source and binary forms, with or without 
 * modification, are permitted provided that the following conditions are met:
 * 
 * - Redistributions of source code must retain the above copyright notice, 
 *   this list of conditions and the following disclaimer.
 * 
 * - Redistributions in binary form must reproduce the above copyright notice, 
 *   this list of conditions and the following disclaimer in the documentation 
 *   and/or other materials provided with the distribution.
 * 
 * - Neither the name of the XtreemOS project nor the names of its partners 
 *   and/or contributors may be used to endorse or promote products derived 
 *   from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" 
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE 
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE 
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE 
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR 
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF 
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS 
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN 
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) 
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE 
 * POSSIBILITY OF SUCH DAMAGE.
 */

#ifndef XOSAGA_CONTEXT_HPP
#define XOSAGA_CONTEXT_HPP

namespace xosaga
{
  	namespace attributes 
  	{
  		//  extra read-only XOSAGA attributes
  		char const* const context_global_primary_vo_name       = "GlobalPrimaryVOName";
  		char const* const context_global_primary_role_name     = "GlobalPrimaryRoleName";
  		char const* const context_global_primary_group_name    = "GlobalPrimaryGroupName";
  		char const* const context_global_secondary_group_names = "GlobalSecondaryGroupNames";
  	}	
 
} // namespace xosaga

#endif // XOSAGA_CONTEXT_HPP

